local NEED_ACTIVEPOINT = 50
local g_szMission = "发展任务"
local g_nParam = {}
local g_nIndex = 1
local g_idMission = 0
local g_idScript = 0
local g_dwNextTime = 0
local g_k = 0
local g_NpcInfo = {
	[0] = {szNpcName="朱世友", fX=129, fY=98},
}
FirstObjects(1)
local 牧场坐标 = {
	{71,110},{71,100},{88,90},{99,76},{101,58},{109,44},{91,27},{77,23},{54,23},{32,24},{39,42},{39,58},{38,76},{26,87},{20,103}
}
function 前往帮会驻地()
	if 是否在驻地() ~= 1 then
		打印信息("前往帮会城市")
		召唤坐骑(1)
		跨图寻路(237,236,"洛阳")
		对话npc("范纯仁")
		对话选项("进入本帮城市")
		while 是否在驻地() ~= 1 do 延迟(2000) g_k = g_k + 1 if g_k == 10 then g_k = 0 return 发展任务() end end
	end
end

function 离开帮会地图()
	if 是否在驻地() == 1 then
		召唤坐骑(1)
		地图寻路(98,157)
		延迟(1000)
		点击确定()
		while 是否在驻地() == 1 do 延迟(2000) end
	end
end

function 交任务()
	前往帮会驻地()
	地图寻路(g_NpcInfo[0].fX, g_NpcInfo[0].fY)
	对话npc(g_NpcInfo[0].szNpcName)
	对话选项(g_szMission)
	任务继续()
	完成任务()
end

function 发展任务()
	local 任务进度 = 取任务进度(g_szMission)
	if 任务进度 == -1 then
		if GetRoleActive() >= NEED_ACTIVEPOINT then
			前往帮会驻地()
			地图寻路(g_NpcInfo[0].fX, g_NpcInfo[0].fY)
			对话npc(g_NpcInfo[0].szNpcName)
			对话选项(g_szMission)
			接受任务()
			延迟(1000)
			return 发展任务()
		else
			打印信息("发展任务：人物活跃度不足,离开帮会地图！！")
			离开帮会地图()
			跨图寻路(237,236,"洛阳")
			return
		end
	end
	
	if 任务进度 == 1 then
		交任务()
		return 发展任务()
	end
	
	if 任务进度 == 0 then
		local 类型 = 取任务参数(g_szMission,2)
		if 类型 == 600008 then
			打印信息("发展任务：不支持烹饪。")
			放弃任务(g_szMission)
			打印信息("发展任务：放弃过任务,等待15分钟再接！")
			延迟(15*60*1000)
			return 发展任务()
		end
		
		if 类型 == 600009 then
			if 取地图名() ~= "牧场" then
				if 查找对话项文本(5,"牧场") == 1 and 是否在驻地() == 1 then
					对话选项("进入牧场")
					while 是否在驻地() == 1 do 打印信息("正在传送到场景") 延迟(2000) g_k = g_k + 1 if g_k == 5 then g_k = 0 break end end
				else
					前往帮会驻地()
					if 取距离(g_NpcInfo[0].fX, g_NpcInfo[0].fY) >= 3 then
						地图寻路(g_NpcInfo[0].fX, g_NpcInfo[0].fY)
					end
					对话npc(g_NpcInfo[0].szNpcName)
					对话选项(g_szMission)
					对话选项("进入牧场")
					while 是否在驻地() == 1 do 打印信息("正在传送到场景") 延迟(2000) g_k = g_k + 1 if g_k == 5 then g_k = 0 break end end
				end
			end
			
			if 取地图名() == "牧场" then
				召唤坐骑(0)			
				while 取任务参数(g_szMission,10) ~= 1 do
					local x,y,ID = 搜索目标("",1)
					if ID ~= -1 then
						if 取距离(x,y) > 3 then 地图寻路(x,y) end
						ID_对话npc(ID)
					end
					延迟(200)
				end

				打印信息("开始护送。。。")
				while 取任务参数(g_szMission,0) ~= 1 do
					local Ret = 打怪设置("",0)
					if Ret == -1 then
						--打印信息(牧场坐标[g_nIndex][1]..牧场坐标[g_nIndex][2])
						地图寻路(牧场坐标[g_nIndex][1],牧场坐标[g_nIndex][2])
						g_nIndex = g_nIndex + 1
						end
					if g_nIndex > 15 then
						g_nIndex = 1
					end
					延迟(100)
				end
				while 取地图名() == "牧场" do 打印信息("正常传送回帮会地图") 延迟(2000) end
			end
			return 发展任务()
		end
		
		if 类型 == 600010 then
			local 参数 = 取任务参数(g_szMission,6) --1A
			local x,y,ID,NpcName,_ = GetBuildingParameters(参数)
			local a,b = GetBackxyEx("定位符")
			if a ~= 0 and b ~= 0 then 
				召唤坐骑(0)
				local Ret1 = 0
				while 是否在驻地() == 1 do 打印信息("使用定位符传送中。。") 延迟(2000) Ret1 = Ret1 + 1 if Ret1 == 5 then break end end 
			else
				离开帮会地图()
			end
			延迟(1000)
			召唤坐骑(1)
			ID_寻路(x,y,ID)
			对话npc(NpcName)
			return 发展任务()
		end
		
		if 类型 == 600011 then
			if 查找对话项文本(3,"_144}") == 1 and 是否在驻地() == 1 then 
				对话选项("#{DJBHGZ_110622_144}")
				点击确定()
				while 是否在驻地() == 1 do 打印信息("正在传送到场景") 延迟(2000) g_k = g_k + 1 if g_k == 5 then g_k = 0 break end end
			else
				local 参数 = 取任务参数(g_szMission,3)
				local x,y,ID,_,_ = GetBuildingParameters(参数)
				打印信息(x..y..ID)
				离开帮会地图()
				ID_寻路(x,y,ID)
			end
			延迟(1000)
			召唤坐骑(0)
			while 取任务参数(g_szMission,0) ~= 1 do
				打怪设置("",1)
			end
			return 发展任务()
		end
	end
	
	

end
打印信息("帮会发展：开始执行脚本!!")

发展任务()